<?php
	$grid_class = 'ht_grid_1_2';

	if ( is_search() || is_archive() ) {
		$grid_class = 'ht_grid_1_4';
	}
?>
<div id="post-<?php the_ID(); ?>" <?php post_class( $grid_class ); ?>>	

	<?php if ( has_post_thumbnail() ) { ?>
		<a class="thumbnail-link" href="<?php the_permalink(); ?>">
			<div class="thumbnail-wrap">
				<?php 
					the_post_thumbnail('enjoymax_post_thumb'); 
				?>
			</div><!-- .thumbnail-wrap -->
		</a>
	<?php } ?>	

	<div class="entry-header">

		<?php get_template_part( 'template-parts/entry', 'meta' ); ?>

		<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		
	</div><!-- .entry-header -->
		
	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->

</div><!-- #post-<?php the_ID(); ?> -->